Next: towctrans, Previous: towlower, Up: Ctype

### 3.30 `towupper`—translate wide characters to uppercase

Synopsis

         #include <wctype.h>
         wint_t towupper(wint_t c);

Description
`towupper` is a function which converts lowercase wide characters to uppercase, leaving all other characters unchanged.

Returns
`towupper` returns the uppercase equivalent of c when it is a lowercase wide character, otherwise, it returns the input character.

Portability
`towupper` is C99.

No supporting OS subroutines are required.